{
gfx read elem walls3.exelem region walls3;

gfx create scene walls3 manual;

gfx draw group walls3/walls scene walls3;

gfx modify g_element walls3/walls general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none scene walls3;
gfx modify g_element walls3/walls surfaces select_on material default selected_material default_selected render_shaded scene walls3;

sub draw_wall
{
  my $filename = shift;
  my $wall = shift;

  gfx create texture walls3_$wall image $filename;
  gfx create material walls3_$wall texture walls3_$wall;

  gfx draw group walls3/$wall scene walls3;

  gfx modify g_element walls3/$wall general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none scene walls3;
  gfx modify g_element walls3/$wall surfaces select_on material walls3_$wall selected_material default_selected render_shaded texture_coordinates xi scene walls3;

}

draw_wall("back3.jpg", "back_wall");
draw_wall("front3.jpg", "front_wall");
draw_wall("left3.jpg", "left_wall");
draw_wall("right3.jpg", "right_wall");
draw_wall("floor3.jpg", "floor");

#Draw this into the default scene
gfx draw child walls3 scene default;
}
